--[[
Test module for Lua
]]

function eq(v, expected, msg)
	if not msg then msg = "" end

	if v == expected then
		return true
	else
		local info = debug.getinfo(2)
		error(
			string.format(
				"%s->%s: get `%s' but expected `%s'; %s",
				info.short_src,
				info.currentline,
				tostring(v),
				tostring(expected),
				msg
			)
		)
	end
end


assert(eq(1, 1))
