
dofile("AI/USER_AI/shell-const.config")

function processShell (ai)
	local fun; fun = {
		test = function ()
			return "test"
		end,

		ai = function (rest)
			rest = string.gsub(rest, "\n", "")
			return tostring(ai[rest])
		end,

		reload = function ()
			reload()
			return "maybe reloaded"
		end,

		e = function (rest)
			f, err = loadstring(rest)
			if f then
				setfenv(f, getfenv(1))
				ok, err = pcall(f)
				return tostring(err)
			else
				return err
			end
		end,
		
		i = function (rest)
			return fun.e("return "..rest)
		end,

		change = function (rest)
			changeAI(rest, ai.id)
		end,
	}

	local f, e = io.open("AI/USER_AI/"..SHELL_CMD_FILE, "r")
	local cmd  = f:read("*l")
	local rest = f:read("*a")
	f:close()
	f = io.open("AI/USER_AI/"..SHELL_CMD_FILE, "w")
	f:close()

	if not cmd or cmd == "" then return end

	print(string.format("cmd->`%s'\n", cmd))
	if fun[cmd] then
		if not rest then rest = "" end
		d("Shell processing->"..cmd)
		result = fun[cmd](rest)
	else
		result = "Error"
	end

	f = io.open("AI/USER_AI/"..SHELL_RES_FILE, "w")
	f:write(result)
	f:close()
end

